:root {
    --accent-color: rgb(255, 66, 66);
    --accent-color-hover: hsl(0, 100%, 40%);
    --accent-color-press: hsl(0, 100%, 30%);

    --primary-color: rgb(43, 81, 125);
    --primary-color-hover: hsl(212, 49%, 25%);
    --primary-color-press: hsl(212, 49%, 18%);

    --secondary-color: hsl(0, 0%, 34%);
    --secondary-color-hover: hsl(0, 0%, 28%);

    --nav-menu-background-color: rgba(0, 0, 0, 0.661);

    --widget-background-color: hsl(0, 0%, 25%);

    --support-color: rgb(208, 111, 0);
    --support-color-hover: hsl(32, 100%, 32%);
    --support-color-press: hsl(32, 100%, 28%);

    --primary-text-color: white;
    --secondary-text-color: hsl(0, 0%, 85%);

    --background-color: rgb(39, 39, 39);
    --light-background-color: hsl(0, 0%, 20%);

    --footer-border-color: hsl(0, 0%, 75%);
    --footer-color: hsl(0, 0%, 10%);

    --bottom-bar-color: rgba(39, 39, 39, 0.9);
    --shadow-color: black;
    --disabled-text-color: rgb(121, 121, 121);
    --disabled-background-color: #303030;

    --placeholder-text-color: rgb(150, 150, 150);
    --placeholder-text-color-disabled: rgba(150, 150, 150, 0.164);

    --progress-empty-color: hsl(0, 0%, 50%);
    --progress-fill-color: hsl(128, 50%, 24%);

    --border-radius: 6px;
    --border-radius-extra: 12px;
    --border-radius-widget: 20px;
}

/* .poppins-thin {
    font-family: "Poppins", sans-serif;
    font-weight: 100;
    font-style: normal;
}

.poppins-extralight {
    font-family: "Poppins", sans-serif;
    font-weight: 200;
    font-style: normal;
}

.poppins-light {
    font-family: "Poppins", sans-serif;
    font-weight: 300;
    font-style: normal;
}

.poppins-regular {
    font-family: "Poppins", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.poppins-medium {
    font-family: "Poppins", sans-serif;
    font-weight: 500;
    font-style: normal;
}

.poppins-semibold {
    font-family: "Poppins", sans-serif;
    font-weight: 600;
    font-style: normal;
}

.poppins-bold {
    font-family: "Poppins", sans-serif;
    font-weight: 700;
    font-style: normal;
}

.poppins-extrabold {
    font-family: "Poppins", sans-serif;
    font-weight: 800;
    font-style: normal;
}

.poppins-black {
    font-family: "Poppins", sans-serif;
    font-weight: 900;
    font-style: normal;
}

.poppins-thin-italic {
    font-family: "Poppins", sans-serif;
    font-weight: 100;
    font-style: italic;
}

.poppins-extralight-italic {
    font-family: "Poppins", sans-serif;
    font-weight: 200;
    font-style: italic;
}

.poppins-light-italic {
    font-family: "Poppins", sans-serif;
    font-weight: 300;
    font-style: italic;
}

.poppins-regular-italic {
    font-family: "Poppins", sans-serif;
    font-weight: 400;
    font-style: italic;
}

.poppins-medium-italic {
    font-family: "Poppins", sans-serif;
    font-weight: 500;
    font-style: italic;
}

.poppins-semibold-italic {
    font-family: "Poppins", sans-serif;
    font-weight: 600;
    font-style: italic;
}

.poppins-bold-italic {
    font-family: "Poppins", sans-serif;
    font-weight: 700;
    font-style: italic;
}

.poppins-extrabold-italic {
    font-family: "Poppins", sans-serif;
    font-weight: 800;
    font-style: italic;
}

.poppins-black-italic {
    font-family: "Poppins", sans-serif;
    font-weight: 900;
    font-style: italic;
} */

* {
    font-family: "Poppins", sans-serif;
    margin: 0;
    padding: 0;

    color: var(--primary-text-color);
}

h1 {
    font-weight: 700;
}

button {
    width: max-content;
    height: max-content;

    border: none;
    border-radius: var(--border-radius);
    background-color: var(--secondary-color);

    padding: 5px;
}

button:active {
    transition: transform 0.1s !important;
    transform: scale(0.9) !important;
}

body {
    display: grid;
    grid-template-rows: auto 1fr auto;
    grid-template-areas: 
    "navbar"
    "main"
    "footer";

    max-width: 100vw;
    min-height: 100vh;

    overflow-x: hidden;
    
    background-color: var(--background-color);
}

.hide {
    display: none !important;
}

/*#region Navbar */

nav {
    grid-area: navbar;

    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;

    background-color: var(--primary-color);
    box-shadow: 1px 3px 10px var(--shadow-color);
    z-index: 1;
    
    max-width: 100%;
    height: 70px;

    gap: 20px;

    padding: 5px 15px;
}

#nav-website-logo {
    display: flex;
    align-items: center;

    text-decoration: none;

    gap: 10px;
}

#nav-website-icon {
    width: 50px;
    height: 50px;
}

#nav-website-name {
    font-size: 2rem;

    transition: color 0.15s;
}

#nav-website-name:hover {
    color: var(--accent-color);
}

#nav-website-links {
    display: flex;
    justify-content: center;
    align-items: center;

    gap: 5px;

    height: 100%;
}

#nav-website-page-links {
    display: flex;
}

.nav-link {
    margin: 15px;
    border-radius: var(--border-radius-extra);

    text-decoration: none;
    font-size: large;
    font-weight: 500;

    transition: color 0.2s;
}

.nav-link:hover {
    color: var(--accent-color);
}

#discord-nav-link {
    transition: color 0.15s;
}

#discord-nav-link:hover {
    color: var(--accent-color);   
}

#nav-website-social-links {
    display: flex;
}

#nav-website-links-menu-lg {
    display: none;

    padding: 30px 15px;

    cursor: pointer;
}

#nav-website-links-menu-sm {
    display: none;

    padding: 20px 15px;

    cursor: pointer;
}

#nav-website-links-menu-backdrop {  
    position: fixed;

    z-index: 2;

    width: 100vw;
    height: 100vh;

    background-color: var(--nav-menu-background-color);
}

#nav-website-links-menu-container {
    background-color: var(--background-color);

    position: fixed;
    right: 0;
    
    display: flex;
    flex-direction: column;

    align-items: center;

    width: max-content;
    height: 100vh;

    gap: 5px;

    padding: 10px;

    animation: fade-in 0.25s forwards;

    box-shadow: -1px 3px 10px var(--primary-color);
}

#nav-menu-close-btn {
    padding: 8px 9px;
    
    align-self: flex-start;

    cursor: pointer;

    border-radius: 50%;

    transition: all 0.1s;
}

#nav-menu-close-btn:hover {
    background-color: var(--secondary-color);
}

.nav-menu-link {
    margin: 2.5px 0px;
    border-radius: var(--border-radius);

    text-decoration: none;
    font-size: large;
    font-weight: 500;
    /* text-align: right; */

    transition: all 0.1s;

    padding: 7.5px 10px;
    width: calc(100% - 23px);

    white-space: nowrap;
}

.nav-menu-link:hover {
    /* color: var(--accent-color); */
    background-color: var(--secondary-color);
}

.nav-menu-link-icon {
    margin-right: 5px;
}

#support-menu-btn {
    font-size: 1rem;
    font-weight: 600;
    cursor: pointer;

    border-radius: var(--border-radius-extra);
    background-color: var(--support-color);

    box-shadow: 1px 3px 10px var(--shadow-color);
    
    margin: 10px;
    padding: 8px 15px;

    transition: 0.1s all;
}

#support-menu-btn:hover {
    background-color: var(--support-color-hover);
}

#support-menu-btn:active {
    background-color: var(--support-color-press);
}

/*#endregion */

/*#region Main */

main {
    grid-area: main;

    max-width: 100vw;
}

.primary-btn {
    font-size: large;

    vertical-align: middle;

    border-radius: var(--border-radius-extra);
    background-color: var(--primary-color);
    box-shadow: 1px 3px 10px var(--shadow-color);

    padding: 10px 20px;

    transition: transform 0.1s;
}

.primary-btn:hover {
    transform: scale(1.1);

    cursor: pointer;
}

.primary-btn:active {
    background-color: var(--primary-color-press);
}

.img-drop-shadow {
    filter: drop-shadow(1px 3px 5px var(--shadow-color));
}

/*#region Home Page */

/*#region Hero */

#hero-container {
    display: grid;
    grid-template-rows: auto auto auto;

    justify-items: center;

    row-gap: 15px;

    padding: 20px;
    margin-top: 75px;
    margin-bottom: 30px;
}

#hero-label {
    font-size: 4rem;
    text-align: center;

    /* text-shadow: 5px 5px 5px var(--shadow-color); */
    filter: drop-shadow(1px 3px 10px black);

    background: linear-gradient(to right, rgb(88, 180, 255), rgb(28, 93, 255));
    background-clip: text;
    -webkit-text-fill-color: transparent;
}

#hero-sub-label {
    font-size: 1.5rem;
    text-align: center;

    margin-top: -15px;
}

#hero-btn {
    font-size: 1.5rem;
    font-weight: 500;

    text-decoration: none;
}

#hero-btn:active {
    transition: transform 0.1s;
    transform: scale(0.9);
}

#hero-img-container {
    padding: 0px 30px;
}

#hero-img {
    margin: 15px;
    margin-bottom: 0px;
    width: calc(100% - 30px);

    border-radius: var(--border-radius-extra);

    filter: drop-shadow(1px 3px 8px var(--shadow-color));
}

/*#endregion */

.separator-container {
    margin: 15px 15px;
}

.separator-thick {
    background: var(--primary-color);
    width: 100%;
    height: 4px;
    border-radius: 2px;
    box-shadow: 1px 3px 10px var(--shadow-color);
}

.separator {
    background: var(--primary-color);
    width: 100%;
    height: 2px;
}

.separator-thick {
    background: var(--primary-color);
    width: 100%;
    height: 4px;
    border-radius: 2px;
    box-shadow: 1px 3px 10px var(--shadow-color);
}

/*#region What Does it Do */

#what-does-it-do-container {
    display: grid;

    background-color: var(--secondary-color);

    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto 1fr;

    justify-items: center;

    padding: 30px;
    margin: 40px 8%;

    column-gap: 20px;

    border-radius: var(--border-radius-extra);

    box-shadow: 1px 3px 10px var(--shadow-color);
}

#what-does-it-do-label-container {
    display: flex;
    
    flex-direction: column;

    gap: 10px;
    padding: 10px;

    width: 100%;
}

#what-does-it-do-header {
    font-size: 2.5em;
}

#what-does-it-do-info {
    font-size: 1.1em;
}

#what-does-it-do-img-container {
    grid-row: span 2;
    align-self: center;

    padding: 0px 6%;
}

#what-does-it-do-img {
    width: 100%;
}

#widget-containers {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;

    width: 100%;
    height: max-content;
    
    gap: 30px;
    padding: 20px;  
}

.widget {
    width: 250px;

    display: grid;
    grid-template-rows: auto;

    background-color: var(--widget-background-color);
    border-radius: var(--border-radius);
    box-shadow: 1px 3px 10px var(--shadow-color);
    
    text-align: center;

    padding: 10px 20px;
}

.widget-small {
    width: 220px;
    height: calc(130px - 30px);

    display: grid;
    grid-template-rows: auto 1fr;

    background-color: var(--widget-background-color);
    border-radius: var(--border-radius);
    box-shadow: 1px 3px 10px var(--shadow-color);
    
    text-align: center;

    padding: 15px;
}

.widget-header-container {
    display: flex;
    justify-content: center;
    align-items: center;

    gap: 7px;
}

.widget-header-label {
    margin-left: 3px;   
}

.widget-header-small {
    font-size: 0.8em;
}

.details-label {
    color: var(--secondary-text-color);

    font-weight: 300;
}

/*#endregion */

.img-scale-width {
    width: 100%;
}

.rounded-corners {
    border-radius: var(--border-radius-extra);
}

/*#region Customize Options */

#customize-options-container {
    margin: 40px 8%;

    text-align: center;
}

#customize-options-header {
    font-size: 2.5rem;
}

#options-container {
    margin: 30px 0px;

    overflow: hidden;

    border-radius: var(--border-radius-extra);
    box-shadow: 1px 3px 10px var(--shadow-color);
}

.options-column-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.options-container-text {
    padding: 30px;

    text-align: left;
    
    background-color: var(--light-background-color);
}

.options-container-text-header {
    font-size: 2rem;
}

.options-container-text-info {
    margin: 10px 0px;

    font-size: 1.1rem;

    color: var(--secondary-text-color);

    max-width: 100%;
}

.options-container-option {
    padding: 30px;

    position: relative;

    display: grid;
    justify-content: center;
    align-items: center;
    
    background-color: var(--secondary-color);

    box-shadow: 1px 3px 10px var(--shadow-color);
    z-index: 1;
}

.left-container {
    grid-column: 1;
    grid-row: 1;
}

.right-container {
    grid-column: 2;
    grid-row: 1;
}

.option-switch-container {
    justify-self: center;
    align-items: center;
    justify-content: center;

    margin: 30px;
    padding: 15px 20px;

    display: flex;
    gap: 15px;
    /* flex-wrap: wrap; */

    background-color: var(--secondary-color);
    border-radius: var(--border-radius-extra);

    box-shadow: 1px 5px 10px var(--shadow-color);
}

.checkbox-label {
    font-size: 1.1rem;
    font-weight: 600;
}

.before-after-img-container {
    position: relative;

    width: 100%;
    height: auto;

    aspect-ratio: 4/3;
}

.before-after-img {
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;

    z-index: 0;
}

.second-before-after-img {
    position: absolute;

    left: 0;
    top: 0;
    right: 0;
    bottom: 0;

    z-index: -1;
}

.before-after-img.active {
    z-index: 1;

    animation: fade-in 0.25s ease-in-out forwards;
}

/* The switch - the box around the slider */
.switch {
    position: relative;
    display: inline-block;
    width: 45px;
    height: 25px;
    vertical-align: middle;
    box-shadow: 1px 5px 10px var(--shadow-color);
    border-radius: 34px;

    min-width: 45px;
    min-height: 25px;

    transition: transform 0.1s;
}

.switch:hover {
    transform: scale(1.15);
}

.switch:active {
    transform: scale(0.9);
}

/* Hide default HTML checkbox */
.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: var(--secondary-color);
    transition: 0.3s;
}

.slider:hover {
    transition: 0.1s;
    background-color: var(--secondary-color-hover);
}

.slider:before {
    position: absolute;
    content: "";
    height: 19px;
    width: 19px;
    left: 4px;
    bottom: 3.25px;
    background-color: white;
    transition: 0.3s;

    box-shadow: 2px 2px 5px var(--shadow-color);
}

.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}

input:checked + .slider {
    background-color: var(--primary-color);
}

input:checked + .slider:hover {
    transition: 0.1s;
    background-color: var(--primary-color-hover);
}

input:focus + .slider {
    box-shadow: 0 0 1px var(--primary-color-hover);
}

input:checked + .slider:before {
    transform: translateX(19px);
}

/*#endregion */

/*#endregion */

/*#region Download Page*/

.download-container {
    width: calc(100% - 30px);
    padding: 30px 15px;
    
    display: flex;

    justify-content: center;
    align-items: center;

    gap: 4vw;

    background-color: var(--secondary-color);
    box-shadow: 1px 3px 10px var(--shadow-color);
}

#download-label-btn-container {
    display: grid;

    grid-template-rows: auto auto;
    
    justify-items: center;
    align-items: center;

    font-size: large;

    row-gap: 15px;
}

#download-label {
    font-size: 2.6rem;
    text-align: center;
}

#download-coming-label {
    font-size: 1.5em;

    color: var(--accent-color);
}

.text-shadow {
    text-shadow: 3px 3px 8px var(--shadow-color);
}

#download-img {
    width: 100%;
    border-radius: var(--border-radius-extra);

    filter: drop-shadow(1px 3px 10px var(--shadow-color));
}

#download-img-container {
    width: 40%;

    display: grid;
    justify-content: center;
}

.img-caption {
    justify-self: right;
    color: var(--secondary-text-color);
    font-size: 0.8rem;
    font-weight: 300;

    padding: 10px;
}

#download-btn {
    font-size: 1.5rem;

    border-radius: 0.8333333333vw;
    background-color: var(--primary-color);
    box-shadow: 1px 3px 10px var(--shadow-color);

    padding: 0.6944444444vw 1.3888888888vw;

    transition: all 0.1s;
}

#download-btn:hover {
    transform: scale(1.1);

    cursor: pointer;
}

#download-btn:active {
    background-color: var(--primary-color-press);
}

#download-btn-icon {
    margin-right: 5px;
}

#support-container {
    position: absolute;
    margin-top: 420px;

    font-weight: 500;
}

#support-btn {
    font-size: 1rem;
    font-weight: 600;
    cursor: pointer;

    border-radius: var(--border-radius-extra);
    background-color: var(--support-color);

    box-shadow: 1px 3px 10px var(--shadow-color);
    
    margin: 10px;
    padding: 8px 15px;

    transition: 0.1s all;
}

#support-btn:hover {
    scale: 1.1;
}

#support-btn:active {
    background-color: var(--support-color-press);
}

#not-virus-container {
    margin: 40px 80px;
    padding: 20px 30px;

    display: grid;
    grid-template-columns: 1fr auto;

    justify-items: center;

    gap: 30px;

    border-radius: var(--border-radius-extra);
    background-color: var(--widget-background-color);
    color: var(--secondary-text-color);
 
    box-shadow: 1px 3px 10px var(--shadow-color);
}

#not-virus-header {
    margin: 0px 0px 5px 0px;
}

#not-virus-header-icon {
    color: orange;
}

#not-virus-steps-container {
    margin: 15px 0px 0px 0px;
}

#not-virus-steps-header {
    font-size: 1.1rem;
}

#not-virus-steps {
    margin: 2px 0px 0px 0px;
    color: var(--secondary-text-color);
    padding-left: 15px;
}

#not-virus-img {
    width: 500px;
    margin: 10px 0px;

    border-radius: var(--border-radius-extra);
}

#download-platforms-container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;

    gap: 40px;
    margin: 30px;
}

.download-platforms {
    background-color: var(--widget-background-color);
    border-radius: var(--border-radius);
    box-shadow: 1px 3px 10px var(--shadow-color);

    text-align: center;

    display: grid;
    justify-content: center;

    width: 450px;
    padding: 10px;
}

.download-platform-img {
    width: 400px;
    margin: 20px 10px 0px 10px;
    
    filter: drop-shadow(1px 3px 8px black);
}

#linux-download-img {
    width: 320px;
}

/*#endregion*/

/*#region Privacy Page */

#privacy-header {
    margin: 5px 0px;
}

#privacy-last-modified {
    margin-top: 10px;
    margin-bottom: 15px;

    font-weight: 600;
    font-size: 1.1rem;
    color: var(--accent-color);
}

#privacy-container {
    padding: 15px;
    margin: 0px 10px;
    margin-bottom: 15px;
}

#privacy-info-collect-header {
    font-weight: 600;
    font-size: 1.05rem;
    margin-bottom: 5px;
}

.privacy-sub-header {
    margin: 5px 0px;
    margin-top: 25px;
}

.privacy-sub-sub-header {
    margin: 5px 0px;
    margin-top: 12.5px;
}

.privacy-info {
    color: var(--secondary-text-color);
}

.privacy-info-list {
    padding-inline: 15px;
    color: var(--secondary-text-color);
}

.bold-text {
    font-weight: 500;
}

#privacy-intro-text {
    font-size: 1.1rem;
    font-weight: 500;
}

/*#endregion */

/*#endregion */

/*#region Footer */

footer {
    grid-area: footer;

    border-top: var(--footer-border-color) 1px solid;
    background-color: var(--footer-color);

    padding: 15px;
}

#footer-copyright-label {
    color: var(--secondary-text-color);

    font-size: 0.9rem;
}

#contact-copyright-container {
    display: grid;
    justify-content: center;
    align-items: center;

    text-align: center;
}

#privacy-tos-container {
    display: flex;
    justify-content: center;

    gap: 25px;

    margin: 5px;
}

.footer-links {
    transition: color 0.2s;
}

.footer-links:hover {
    color: var(--accent-color);
}

/*#endregion*/

@media only screen and (0 < width <= 320px) {
    .primary-btn {
        padding: 10px 15px;
    }

    /*#region Navbar */

    nav {
        height: max-content;

        overflow: hidden;

        padding: 2.5px 8px;
        padding-right: 0px;
        /* margin-right: -7px; */
    }

    #nav-website-logo {
        gap: 7.5px;
    }

    #nav-website-icon {
        width: 30px;
        height: 30px;
    }

    #nav-website-name {
        font-size: 1.1rem;
    }

    #nav-website-links {
        display: none;
    }

    #nav-website-links-menu-sm {
        display: block;
    }

    /*#endregion*/

    /*#region Main */

    /*#region Hero */

    #hero-container {
        padding: 15px;
        padding-bottom: 0px;

        row-gap: 10px;

        margin-top: 30px;
        margin-bottom: 15px;
    }

    #hero-label {
        font-size: 1.8rem;
    }

    #hero-sub-label {
        font-size: 0.8rem;
        margin-top: -7.5px;
    }

    #hero-btn {
        font-size: 0.75rem;
        margin-top: 2.5px;
    }

    #hero-img-container {
        padding: 0px 15px;
    }

    #hero-img {
        margin: 5px;
        margin-bottom: 0px;

        width: calc(100% - 10px);
        height: auto;
    }

    /*#endregion */

    .separator-container {
        margin: 10px 15px;
    }

    .separator-thick {
        height: 2px;
    }

    /*#region What Does it Do */

    #what-does-it-do-container {
        grid-template-columns: 1fr;
        grid-template-rows: auto 1fr;

        margin: 15px;
        margin-top: 20px;
        padding: 5px 15px;
    }

    #what-does-it-do-label-container {
        gap: 5px;
        padding: 5px;
    }

    #what-does-it-do-header {
        font-size: 1.4rem;
    }

    #what-does-it-do-info {
        font-size: 0.7rem;
    }

    #what-does-it-do-img {
        display: none;
    }

    #widget-containers {
        flex-direction: column;
        align-items: center;

        padding: 15px;

        gap: 20px;
    }

    .widget-small {
        padding: 10px;

        width: 200px;
        height: auto;
    }

    .widget-header-small {
        font-size: 0.9rem;   
    }

    .details-label {
        margin: 5px;
        font-size: 0.7rem;
    }

    /*#endregion */

    /*#region Customize Options */

    #customize-options-container {
        padding: 5px 0px;
        margin: 15px;

        margin-bottom: 0px;
    
        text-align: center;
    }

    #customize-options-header {
        font-size: 1.5rem;
    }

    #options-container {
        margin: 15px 0px;

        overflow: visible;

        display: grid;
        row-gap: 20px;

        border-radius: 0px;
        box-shadow: none;
    }

    .options-column-container {
        grid-template-columns: 1fr;
        grid-template-rows: auto 1fr;

        overflow: hidden;

        border-radius: var(--border-radius-extra);
        box-shadow: 1px 3px 10px var(--shadow-color);
    }

    .options-container-text {
        grid-row: 1;

        padding: 10px 15px;
        padding-bottom: 5px;
    
        text-align: left;
        
        background-color: var(--light-background-color);
    }

    .options-container-text-header {
        font-size: 0.9em;
    }

    .options-container-text-info {
        margin: 5px 0px;

        font-size: 0.6rem;
    }

    .options-container-option {
        grid-row: 2;

        padding: 15px;
    }

    .left-container {
        grid-column: 1;
        grid-row: 0;
    }
    
    .right-container {
        grid-column: 1;
        grid-row: 0;
    }   

    /*#endregion */

    /*#endregion */

    /*#region Footer */

    footer {    
        padding: 10px;
    }

    #footer-contact-label {
        font-size: 0.7rem;
        margin-bottom: 5px;
    }

    #footer-copyright-label {
        color: var(--secondary-text-color);
    
        font-size: 0.5rem;
    }

    #privacy-tos-container {
        font-size: 0.6rem;
    }
    
    /*#endregion */

    #footer-contact-label {
        margin: 2.5px;
    }

}

@media only screen and (0px < width <= 426px) {
    .download-container {
        justify-items: center;

        display: grid;
        grid-template-rows: auto auto;

        padding: 20px 15px;
    }

    #download-label-btn-container {
        margin-top: 25px;

        row-gap: 12.5px;
    }

    #download-label {
        font-size: 1.8rem;
    }
    
    #download-coming-label {
        font-size: 1.1em;
    }

    #download-btn {
        font-size: 0.8rem;

        padding: 7.5px 10px;

        border-radius: var(--border-radius-extra);
    }

    #download-img-container {
        width: 85%;

        margin-top: 5px;
    }

    #not-virus-container {
        margin: 30px 20px;
        padding: 15px;

        grid-template-columns: auto;
        grid-template-rows: auto auto;

        gap: 10px;
    }

    #not-virus-header {
        font-size: 1.1rem;
    }

    #not-virus-info {
        font-size: 0.7rem;
    }

    #not-virus-steps-header {
        font-size: 0.8rem;
    }

    #not-virus-steps-container {
        margin: 10px 0px 0px 0px;
    }

    #not-virus-steps {
        font-size: 0.7rem;
        padding-left: 10px;
    }    

    #not-virus-img {
        width: 100%;
    }

    #download-platforms-container {
        gap: 30px;
    }

    .download-platforms {
        width: 100%;
    }

    .download-platform-img {
        width: 90%;
        margin: 20px 10px 10px 10px;
    }

    #linux-download-img {
        width: 90%;
    }
}

@media only screen and (320px < width <= 426px) {
    /*#region Navbar */

    nav {
        padding: 5px 10px;
        padding-right: 0px;
        margin-right: -5px;

        height: 60px;
    }

    #nav-website-logo {
        gap: 8px;
    }

    #nav-website-icon {
        width: 45px;
        height: 45px;
    }
    
    #nav-website-name {
        font-size: 1.3rem;
    }

    #nav-website-links {
        display: none;
    }

    #nav-website-links-menu-lg {
        display: block;
    }

    /*#endregion*/

    /*#region Main */

    /*#region Hero */

    #hero-container {
        padding: 15px;

        margin-top: 30px;   
        margin-bottom: 0px;
    }

    #hero-label {
        font-size: 2.3rem;
    }

    #hero-sub-label {
        font-size: 1.1rem;
    }

    #hero-btn {
        font-size: 1.1rem;
    }

    #hero-img-container {
        margin-top: -8px;

        padding: 0px 15px;
    }

    /*#endregion */

    /*#region What Does it Do */

    #what-does-it-do-container {
        margin: 30px 6%;
        margin-bottom: 35px;

        padding: 10px 20px;
    }

    #what-does-it-do-label-container {
        gap: 5px;
        padding: 5px;
    }

    #what-does-it-do-header {
        font-size: 1.8rem;
    }

    #what-does-it-do-info {
        font-size: 0.9rem;
    }

    #widget-containers {
        padding: 10px;
        padding-bottom: 15px;

        row-gap: 25px;
    }

    .widget-small {
        width: 210px;

        padding: 12.5px 15px;
    }

    .widget-header-small {
        font-size: 1.05rem;   
    }

    .details-label {
        margin: 5px;
        font-size: 0.9rem;
    }

    /*#endregion */

    /*#region Customize Options */

    #customize-options-container {
        margin: 35px 6%;
        margin-bottom: 30px;
    }

    #customize-options-header {
        font-size: 2rem;
    }

    #options-container {
        margin: 20px 0px;

        overflow: visible;

        display: grid;
        row-gap: 30px;

        border-radius: 0px;
        box-shadow: none;
    }

    .options-column-container {
        grid-template-columns: 1fr;
        grid-template-rows: auto 1fr;

        overflow: hidden;

        border-radius: var(--border-radius-extra);
        box-shadow: 1px 3px 10px var(--shadow-color);
    }

    .options-container-text {
        grid-row: 1;

        padding: 15px 20px;
        padding-bottom: 5px;
    }

    .options-container-text-header {
        font-size: 1.4rem;
    }

    .options-container-text-info {    
        font-size: 0.9rem;
    }

    .options-container-option {
        grid-row: 2;

        padding: 20px;
    }

    .left-container {
        grid-column: 1;
        grid-row: 0;
    }
    
    .right-container {
        grid-column: 1;
        grid-row: 0;
    }    

    /*#endregion */

    /*#region Download Page */
    
    /*#endregion */

    /*#endregion */

    .option-switch-container {
        margin: 20px 15px;
    }

    footer {
        padding: 10px;
    }

    #footer-contact-label {
        font-size: 0.9rem;
    }

    #footer-copyright-label {    
        font-size: 0.65rem;
    }

    
}

@media only screen and (320px < width <= 430px) {
    #privacy-tos-container {
        font-size: 0.8rem;
    }
}

@media only screen and (width <= 320px) {
    .option-switch-container {
        margin: 15px 5px;
        padding: 10px 15px;

        gap: 5px;
    }

    .checkbox-label {
        font-size: 0.7rem;
    }

    .switch {
        scale: 0.7;
    }
}

@media only screen and (320px < width <= 426px) {
    .checkbox-label {
        font-size: 0.9rem;
    }

    .switch {
        scale: 0.9;
    }
}

@media only screen and (0 < width <= 375px) {
    #download-platform-header {
        font-size: 0.9rem;
    }
}

@media only screen and (426px < width <= 611px) {
    nav {
        padding-right: 0px;
    }

    #nav-website-name {
        font-size: 1.5rem;
    }

    #nav-website-links {
        display: none;
    }

    #nav-website-links-menu-lg {
        display: block;
    }

    #hero-container {
        margin-top: 40px;   
        margin-bottom: 15px;
    }
    
    #hero-label {
        font-size: 3rem;
    }

    #hero-sub-label {
        font-size: 1.2rem;
    }

    #hero-btn {
        font-size: 1.2rem;
    }

    #hero-img-container {
        padding: 0px 15px;
    }

    #hero-img {
        margin: 5px 0px;
        margin-bottom: 0px;

        width: 100%;
    }

    #what-does-it-do-container {
        margin: 40px 6%;
        padding: 10px 25px;
    }

    #what-does-it-do-header {
        font-size: 2rem;
    }

    #what-does-it-do-info {
        font-size: 1rem;
    }

    #widget-containers {
        padding: 10px;

        gap: 25px;
    }

    .widget-small {
        height: auto;
    }

    .widget-header-small {
        font-size: 1.1rem;
    }

    .details-label {
        font-size: 0.9rem;
    }

    #customize-options-container {
        margin: 30px 6%;
    }

    #customize-options-header {
        font-size: 2rem;
    }

    #options-container {
        margin: 20px 0px;

        overflow: visible;

        display: grid;
        row-gap: 30px;

        border-radius: 0px;
        box-shadow: none;
    }

    .options-column-container {
        grid-template-columns: 1fr;
        grid-template-rows: auto 1fr;

        overflow: hidden;

        border-radius: var(--border-radius-extra);
        box-shadow: 1px 3px 10px var(--shadow-color);
    }

    .options-container-text {
        grid-row: 1;

        padding: 15px 20px;
        padding-bottom: 5px;
    }

    .options-container-text-header {
        font-size: 1.4rem;
    }

    .options-container-text-info {    
        font-size: 0.9rem;
    }

    .options-container-option {
        grid-row: 2;

        padding: 20px;
    }

    .left-container {
        grid-column: 1;
        grid-row: 0;
    }
    
    .right-container {
        grid-column: 1;
        grid-row: 0;
    }

    .option-switch-container {
        margin: 20px 15px;
        margin-bottom: 30px;
    }

    .switch {
        scale: 1.1;
    }

    footer {
        padding: 10px;
    }

    #footer-contact-label {
        font-size: 0.9rem;
    }

    #footer-copyright-label {    
        font-size: 0.65rem;
    }
}

@media only screen and (611px < width <= 940px) {
    nav {
        padding: 5px 20px;
        padding-right: 5px;
    }

    #nav-website-links {
        display: none;
    }

    #nav-website-links-menu-lg {
        display: block;
    }

    #hero-container {
        margin-top: 50px;   
        margin-bottom: 15px;
    }

    #hero-label {
        font-size: 3.5rem;
    }

    #hero-sub-label {
        font-size: 1.3rem;
    }

    #hero-btn {
        font-size: 1.3rem;
    }

    #what-does-it-do-container {
        margin: 40px 60px;
        padding: 15px 30px;
    }

    #customize-options-container {
        margin: 30px 60px;
    }

    #options-container {
        margin: 20px 0px;

        overflow: visible;

        display: grid;
        row-gap: 50px;

        border-radius: 0px;
        box-shadow: none;
    }

    .options-column-container {
        grid-template-columns: 1fr;
        grid-template-rows: auto 1fr;

        overflow: hidden;

        border-radius: var(--border-radius-extra);
        box-shadow: 1px 3px 10px var(--shadow-color);
    }

    .options-container-text {
        grid-row: 1;
    }

    .options-container-option {
        grid-row: 2;
    }

    .left-container {
        grid-column: 1;
        grid-row: 0;
    }
    
    .right-container {
        grid-column: 1;
        grid-row: 0;
    }

    .option-switch-container {
        margin: 20px 15px;
        margin-bottom: 10px;
    }
}

@media only screen and (611px < width <= 1036px) {
    .widget-small {
        width: 210px;
    }
}

@media only screen and (611px < width <= 1300px) {
    .options-container-text {
        padding: 20px;
    }

    .options-container-text-header {

        font-size: 1.6rem;
    }

    .options-container-text-info {    
        font-size: 1rem;
    }

    .options-container-option {
        padding: 20px;
    }
}

@media only screen and (320px < width <= 850px) {
    #what-does-it-do-container {
        grid-template-columns: 1fr;
        grid-template-rows: auto auto;
    }

    #what-does-it-do-img-container {
        display: none;
    }
}

@media only screen and (426px < width <= 613px) {
    .download-container {
        display: grid;
        
        grid-template-columns: auto;
        grid-template-rows: auto auto;

        justify-items: center;
    }

    #download-label-btn-container {
        margin-top: 20px;
    }

    #download-img-container {
        width: 80%;
        margin-top: 10px;
    }
}

@media only screen and (426px < width <= 850px) {
    .download-container {
        width: calc(100% - 20px);
        padding: 30px 10px;
    }

    #download-label {
        font-size: 1.8rem;
    }

    #download-coming-label {
        font-size: 1.1em;
    }

    #download-btn {
        font-size: 1rem;
        padding: 10px 15px;

        border-radius: var(--border-radius-extra);
    }

    #not-virus-img {
        margin: 0px;
        width: 100%;
    }

    #download-platforms-container {
        margin: 30px;
        gap: 25px;
    }
    
    .download-platforms {
        width: 300px;
    }

    .download-platform-img {
        width: 300px;
    }

    #linux-download-img {
        width: 250px;
    }
}

@media only screen and (850px < width <= 1530px) {
    #what-does-it-do-container {
        grid-template-columns: 1fr;
        grid-template-rows: auto auto auto;
    }

    #what-does-it-do-img-container {
        /* display: none; */
        grid-row: 3;

        margin: 20px 0px 0px 0px;
    }

    #widget-containers {
        grid-row: 2;
    }
}

@media only screen and (1530px < width <= 1800px) {
    #what-does-it-do-img-container {
        /* padding: 0px 20px; */
        padding: 0px;
    }
}

@media only screen and (850px <= width <= 1025px) {
    .download-container {
        width: calc(100% - 60px);
        padding: 30px 30px;

        gap: 3vw;
    }

    #download-label {
        font-size: 2.2rem;
    }

    #download-coming-label {
        font-size: 1.2em;
    }

    #download-btn {
        font-size: 1.7vw;
    }

    #not-virus-header {
        font-size: 1.5rem;
    }

    #download-platforms-container {
        margin: 30px 50px;
    }
}

@media only screen and (426px <= width <= 1025px) {
    #not-virus-container {
        margin: 30px 6%;
        grid-template-columns: auto;
        grid-template-rows: auto auto;
    }
}

@media only screen and (1440px < width <= 2560px) {
    #widget-containers {
        align-self: center;
    }
}

@keyframes fade-in {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@media not (hover: hover) {
    *:hover {
        transform: none !important;
    }
}

#separator-container-download {
    margin: 20px;
    margin-bottom: 40px;
}